PCPTTRS(l)

NAME
PCPTTRS - solve a system of linear equations A(1:N, JA:JA+N-1) * X = B(IB:IB+N-1, 1:NRHS)

SYNOPSIS

SUBROUTINE PCPTTRS(
    UPLO, N, NRHS, D, E, JA, DESCA, B, IB, DESCB, AF, LAF, WORK, LWORK, INFO )

CHARACTER
    UPLO

INTEGER
    IB, INFO, JA, LAF, LWORK, N, NRHS

INTEGER
    DESCA( * ), DESCB( * )

COMPLEX
    AF( * ), B( * ), E( * ), WORK( * )

REAL
    D( * )

PURPOSE
PCPTTRS solves a system of linear equations

where A(1:N, JA:JA+N-1) is the matrix used to produce the factors stored in A(1:N,JA:JA+N-1) and AF by PCPTTRF.
A(1:N, JA:JA+N-1) is an N-by-N complex
tridiagonal symmetric positive definite distributed
matrix.
Depending on the value of UPLO, A stores either U or L in the equn A(1:N, JA:JA+N-1) = U'D *U or L*D L' as computed by PCPTTRF.

Routine PCPTTRF MUST be called first.